%define upstream_name    Pod-POM-Web
%define upstream_version 1.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Fulltext search for Pod::POM::Web
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::GvaScript) >= 1.21.0
BuildRequires: perl(Config)
BuildRequires: perl(Encode::Guess)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Daemon)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(MIME::Types)
BuildRequires: perl(Module::CoreList)
BuildRequires: perl(POSIX)
BuildRequires: perl(Pod::POM) >= 0.250.0
BuildRequires: perl(Pod::POM::View::HTML)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(URI)
BuildRequires: perl(URI::QueryParam)
BuildArch:  noarch

%description
the Pod::POM::Web manpage is a Web application for browsing the
documentation of Perl components installed on your local machine. Since
pages are dynamically generated, they are always in sync with code actually
installed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
#make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.200.0-5.mga6
+ Revision: 1032323
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.200.0-4.mga6
+ Revision: 946024
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.200.0-3.mga5
+ Revision: 744833
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.200.0-2.mga5
+ Revision: 686013
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 1.200.0-1.mga5
+ Revision: 620727
- update to 1.20

* Sat Oct 19 2013 umeabot <umeabot> 1.190.0-2.mga4
+ Revision: 527229
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.190.0-1.mga4
+ Revision: 439788
- update to 1.19

* Sun Jan 13 2013 umeabot <umeabot> 1.180.0-2.mga3
+ Revision: 371946
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 1.180.0-1.mga3
+ Revision: 286437
- update to 1.18

* Wed Jun 15 2011 jquelin <jquelin> 1.170.0-1.mga2
+ Revision: 107340
- update to 1.17

* Sat Jan 22 2011 jquelin <jquelin> 1.150.0-1.mga1
+ Revision: 32346
- mageia rebuild
- imported package perl-Pod-POM-Web

